## nitroshare 0.3.0

=== debian/changelog ===
nitroshare (0.3.0-1mx150+1) mx; urgency=low

  * Rebuild for MX 15.
  * Fix debian/install file.

 -- Steven Pusser (Stevo) <maintainer@mepiscommunity.org>  Sat, 06 Jun 2015 11:20:15 -0700

nitroshare (0.3.0-1ppa1~trusty1) trusty; urgency=low

  * Updated to Qt 5.x from 4.x
  * Removed configuration wizard
  * Network discovery fully automated
  * Limit removed on size of transferred files
  * Added the ability to restart transfers after completion

 -- Nathan Osman <nathan@quickmediasolutions.com>  Sat, 21 Mar 2015 00:45:00 -0700
