=== debian/control ===
Source: nitroshare
Section: net
Priority: extra
Maintainer: Steven Pusser (Stevo) <maintainer@mepiscommunity.org>
Bugs: mailto: maintainer@mepiscommunity.org
XSBC-Original-Maintainer: Nathan Osman <nathan@quickmediasolutions.com>
Build-Depends:
 debhelper (>= 9),
 dh-exec,
 qt5-default (>= 5.1),
 libqt5svg5-dev,
 libgtk2.0-dev,
 libappindicator-dev,
 libnotify-dev
Standards-Version: 3.9.5
Homepage: http://nitroshare.net/

Package: nitroshare
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libqt5svg5
Description: cross-platform network file transfer application
 NitroShare is designed to make transferring any file to any device as painless
 as possible. Network discovery is completely automatic, allowing files and
 entire directories to be instantly transferred to any other device on the
 network running the application.
