## nitroshare 0.3.1

=== debian/changelog ===
nitroshare (0.3.1-1ubuntu1) xenial; urgency=medium

  * debian/control: Add missing 'libunity-dev' build dependency, per
    the Debian maintainer's insistence that it should build-dep on
    this library in Ubuntu. (LP: #1542758)

 -- Thomas Ward <teward@ubuntu.com>  Sat, 06 Feb 2016 21:11:02 -0500

nitroshare (0.3.1-1) unstable; urgency=low

  * Initial release (Closes: #811564)

 -- Nathan Osman <nathan@quickmediasolutions.com>  Tue, 19 Jan 2016 13:17:21 -0800
