=== debian/control ===
Source: nitroshare
Section: net
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Nathan Osman <nathan@quickmediasolutions.com>
Build-Depends: debhelper (>= 9),
               dh-exec,
               cmake (>= 3.2.0),
               qtbase5-dev (>= 5.1),
               libgtk2.0-dev,
               libappindicator-dev,
               libnotify-dev,
               libunity-dev
Standards-Version: 3.9.6
Homepage: http://nitroshare.net/

Package: nitroshare
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         libqt5svg5
Description: Cross-platform network file transfer application
 NitroShare is designed to make transferring any file to any device as painless
 as possible.
 .
 NitroShare uses a JSON-based protocol that is both platform and
 architecture-neutral to transfer files as efficiently as possible.
 .
 IPv4 broadcast is used for automatically discovering other devices on the local
 network running NitroShare. This enables files and entire directories to be
 instantly transferred to the other devices.
 .
 Data encryption is not currently implemented.
