=== debian/watch ===
version=3
opts=pgpsigurlmangle=s/$/.asc/ \
http://launchpad.net/nitroshare/+download https://launchpad.net/nitroshare/.*/nitroshare-(.*)\.tar\.gz
