=== src/CMakeLists.txt ===
--- 
+++ 
@@ -25,13 +25,23 @@
 )
 
 if(WIN32)
-    set(SRC ${SRC} "data/resource.rc")
+    set(SRC ${SRC} data/resource.rc)
 endif()
 
 if(APPLE)
-    set(SRC ${SRC} "data/icon/nitroshare.icns")
+    set(SRC ${SRC}
+        data/icon/nitroshare.icns
+        transfer/transferwindow.mm
+    )
     set_source_files_properties("data/icon/nitroshare.icns" PROPERTIES
         MACOSX_PACKAGE_LOCATION Resources
+    )
+endif()
+
+if(QHttpEngine_FOUND)
+    set(SRC ${SRC}
+        api/apihandler.cpp
+        api/apiserver.cpp
     )
 endif()
 
@@ -49,8 +59,50 @@
     transfer/transferwindow.ui
 )
 
+# Update the TS files from the source directory
+file(GLOB TS data/ts/*.ts)
+add_custom_target(ts
+    COMMAND "${Qt5_LUPDATE_EXECUTABLE}"
+        -silent
+        -locations relative
+        "${CMAKE_CURRENT_SOURCE_DIR}"
+        -ts ${TS}
+)
+
+# Create a directory for the compiled QM files
+file(MAKE_DIRECTORY "${CMAKE_CURRENT_BINARY_DIR}/data/qm")
+
+# Create commands for each of the translation files
+set(QM_XML)
+set(QM)
+foreach(_ts_path ${TS})
+    get_filename_component(_ts_name "${_ts_path}" NAME)
+    get_filename_component(_ts_name_we "${_ts_path}" NAME_WE)
+    set(_qm_name "${_ts_name_we}.qm")
+    set(_qm_path "${CMAKE_CURRENT_BINARY_DIR}/data/qm/${_qm_name}")
+    set(QM_XML "${QM_XML}<file>qm/${_qm_name}</file>")
+    list(APPEND QM "${_qm_path}")
+    add_custom_command(OUTPUT "${_qm_path}"
+        COMMAND "${Qt5_LRELEASE_EXECUTABLE}"
+            -compress
+            -removeidentical
+            -silent
+            "${_ts_path}"
+            -qm "${_qm_path}"
+        COMMENT "Generating ${_ts_name}"
+    )
+endforeach()
+
+# Create a target for compiling all of the translation files
+add_custom_target(qm DEPENDS ${QM})
+
+# Configure the i18n resource file
+set(QRC_QM "${CMAKE_CURRENT_BINARY_DIR}/data/resource_qm.qrc")
+configure_file(data/resource_qm.qrc.in "${QRC_QM}")
+
 qt5_add_resources(QRC
     data/resource.qrc
+    "${QRC_QM}"
 )
 
 add_executable(nitroshare WIN32 MACOSX_BUNDLE ${SRC} ${UI} ${QRC})
@@ -61,16 +113,6 @@
     cxx_strong_enums
     cxx_uniform_initialization
 )
-
-# By default, Visual C++ produces PE files with "minimum OS Required" set to
-# 6.0 (Windows Vista). A special linker flag is needed for XP support.
-if(WIN32 AND MSVC)
-    if(${CMAKE_SIZEOF_VOID_P} EQUAL 8)
-        set_target_properties(nitroshare PROPERTIES LINK_FLAGS "/SUBSYSTEM:WINDOWS,5.02")
-    else()
-        set_target_properties(nitroshare PROPERTIES LINK_FLAGS "/SUBSYSTEM:WINDOWS,5.01")
-    endif()
-endif()
 
 # In order to support Retina, a special tag is required in Info.plist.
 if(APPLE)
@@ -80,14 +122,19 @@
         MACOSX_BUNDLE_GUI_IDENTIFIER "com.NathanOsman.NitroShare"
         MACOSX_BUNDLE_BUNDLE_NAME "NitroShare"
     )
-endif()
-
-qt5_use_modules(nitroshare Widgets Network)
+    target_link_libraries(nitroshare "-framework ApplicationServices")
+endif()
+
+target_link_libraries(nitroshare Qt5::Widgets Qt5::Network Qt5::Svg)
 if(Qt5WinExtras_FOUND)
-    qt5_use_modules(nitroshare WinExtras)
+    target_link_libraries(nitroshare Qt5::WinExtras)
 endif()
 if(Qt5MacExtras_FOUND)
-    qt5_use_modules(nitroshare MacExtras)
+    target_link_libraries(nitroshare Qt5::MacExtras)
+endif()
+
+if(QHttpEngine_FOUND)
+    target_link_libraries(nitroshare QHttpEngine)
 endif()
 
 if(APPINDICATOR_FOUND)
@@ -95,11 +142,6 @@
     target_link_libraries(nitroshare ${APPINDICATOR_LIBRARIES})
 endif()
 
-if(UNITY_FOUND)
-    target_include_directories(nitroshare PRIVATE ${UNITY_INCLUDE_DIRS})
-    target_link_libraries(nitroshare ${UNITY_LIBRARIES})
-endif()
-
 include(GNUInstallDirs)
 
 install(TARGETS nitroshare
@@ -107,14 +149,24 @@
     BUNDLE DESTINATION .
 )
 
-# If windeployqt is available, use it immediately after the build completes to
-# ensure that the dependencies are available.
-# If Inno Setup is available, provide a target for building an EXE installer.
 if(WIN32)
+    # If windeployqt is available, use it immediately after the build completes to
+    # ensure that the dependencies are available.
     include(DeployQt)
     if(WINDEPLOYQT_EXECUTABLE)
         windeployqt(nitroshare)
     endif()
+
+    # If QHttpEngine was used, include it in the installer
+    if(QHttpEngine_FOUND)
+        add_custom_command(TARGET nitroshare POST_BUILD
+            COMMAND "${CMAKE_COMMAND}" -E
+                copy_if_different "$<TARGET_FILE:QHttpEngine>" "$<TARGET_FILE_DIR:nitroshare>"
+            COMMENT "Copying QHttpEngine..."
+        )
+    endif()
+
+    # If Inno Setup is available, provide a target for building an EXE installer.
     find_package(InnoSetup)
     if(INNOSETUP_EXECUTABLE)
         configure_file(dist/setup.iss.in "${CMAKE_CURRENT_BINARY_DIR}/setup.iss")
@@ -129,15 +181,34 @@
     endif()
 endif()
 
-# If macdeployqt is available, use it immediately after the build completes to
-# copy the Qt frameworks into the application bundle.
-# Create a target for building a DMG that contains the application bundle and a
-# symlink to the /Applications folder.
 if(APPLE)
+    # If QHttpEngine was used, copy the dynlib over and correct its RPATH
+    if(QHttpEngine_FOUND)
+        add_custom_command(TARGET nitroshare POST_BUILD
+            COMMAND "${CMAKE_COMMAND}" -E
+                make_directory "$<TARGET_FILE_DIR:nitroshare>/../Frameworks"
+            COMMAND "${CMAKE_COMMAND}" -E
+                copy_if_different
+                    "$<TARGET_FILE:QHttpEngine>"
+                    "$<TARGET_FILE_DIR:nitroshare>/../Frameworks/$<TARGET_SONAME_FILE_NAME:QHttpEngine>"
+            COMMAND install_name_tool
+                -change
+                "$<TARGET_SONAME_FILE_NAME:QHttpEngine>"
+                "@rpath/$<TARGET_SONAME_FILE_NAME:QHttpEngine>"
+                "$<TARGET_FILE:nitroshare>"
+            COMMENT "Copying QHttpEngine and correcting RPATH..."
+        )
+    endif()
+
+    # If macdeployqt is available, use it immediately after the build completes to
+    # copy the Qt frameworks into the application bundle.
     include(DeployQt)
     if(MACDEPLOYQT_EXECUTABLE)
         macdeployqt(nitroshare)
     endif()
+
+    # Create a target for building a DMG that contains the application bundle and a
+    # symlink to the /Applications folder.
     set(sym "${CMAKE_BINARY_DIR}/out/Applications")
     set(dmg "${CMAKE_BINARY_DIR}/nitroshare-${PROJECT_VERSION}-osx.dmg")
     add_custom_target(dmg
@@ -154,7 +225,7 @@
     )
 endif()
 
-# On Linux, include the icons, manpage, and .desktop file when installing.
+# On Linux, include the icons, manpage, .desktop file, and file manager extensions when installing.
 if(${CMAKE_SYSTEM_NAME} MATCHES "Linux")
     install(DIRECTORY "${CMAKE_CURRENT_SOURCE_DIR}/dist/icons"
         DESTINATION "${CMAKE_INSTALL_DATAROOTDIR}"
@@ -165,4 +236,15 @@
     install(FILES "${CMAKE_CURRENT_SOURCE_DIR}/dist/nitroshare.desktop"
         DESTINATION "${CMAKE_INSTALL_DATAROOTDIR}/applications"
     )
-endif()
+
+    # Configure and install Python extensions for Nautilus-derived file managers
+    foreach(_file_manager Nautilus Nemo Caja)
+        string(TOLOWER ${_file_manager} _file_manager_lower)
+        set(_py_filename "${CMAKE_CURRENT_BINARY_DIR}/dist/nitroshare_${_file_manager_lower}.py")
+        configure_file("${CMAKE_CURRENT_SOURCE_DIR}/dist/nitroshare.py.in" "${_py_filename}")
+        install(FILES "${_py_filename}"
+            DESTINATION "${CMAKE_INSTALL_DATAROOTDIR}/${_file_manager_lower}-python/extensions"
+            RENAME nitroshare.py
+        )
+    endforeach()
+endif()
